FreeMat

- Main Page
- Related Pages

vtkGeoTransform

Section: Visualization Toolkit Geo Vis Classes

# Usage

This class takes two geographic projections and transforms point coordinates between them.

To create an instance of class vtkGeoTransform, simply invoke its constructor as follows

      obj = vtkGeoTransform

# Methods

The class vtkGeoTransform has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkGeoTransform class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkGeoTransform = obj.NewInstance ()`
- `vtkGeoTransform = obj.SafeDownCast (vtkObject o)`
- `obj.SetSourceProjection (vtkGeoProjection source)` - The source geographic projection.
- `vtkGeoProjection = obj.GetSourceProjection ()` - The source geographic projection.
- `obj.SetDestinationProjection (vtkGeoProjection dest)` - The target geographic projection.
- `vtkGeoProjection = obj.GetDestinationProjection ()` - The target geographic projection.
- `obj.TransformPoints (vtkPoints src, vtkPoints dst)` - Transform many points at once.
- `obj.Inverse ()` - Invert the transformation.
- `obj.InternalTransformPoint (float in[3], float out[3])` - This will calculate the transformation without calling Update. Meant for use only within other VTK classes.
- `obj.InternalTransformPoint (double in[3], double out[3])` - This will calculate the transformation without calling Update. Meant for use only within other VTK classes.
- `vtkAbstractTransform = obj.MakeTransform ()` - Make another transform of the same type.